package com.adealink.weparty.account.login.auth

import com.adealink.weparty.account.login.data.ThirdType

interface IAuthCallback {
    fun onSuccess(authType: ThirdType, token: String, codeVerifier: String? = null)
    fun onFailed(authType: ThirdType, errorMsg: String, errorCode: Int?)
    fun onCancel(authType: ThirdType)
}